using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Serialization;

public class ScriptedDialogueTrigger : MonoBehaviour
{
    [SerializeField] private DialogueSystem _dialogue;
    [SerializeField] private string _key;
    
    private void OnTriggerEnter(Collider other)
    {
        _dialogue.PlayLine(_key);
    }
}
